package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF9G6 extends MwfRequest<MWF9G6, MWF9G6Response> {

    @Parameter(name = "AddressCity")
    MWF9G6 addressCity(String addressCity);
    @Parameter(name = "AddressContCity")
    MWF9G6 addressContCity(String addressContCity);
    @Parameter(name = "AddressContCountry")
    MWF9G6 addressContCountry(String addressContCountry);
    @Parameter(name = "AddressContHouseNumber")
    MWF9G6 addressContHouseNumber(String addressContHouseNumber);
    @Parameter(name = "AddressContLandRegistryNumber")
    MWF9G6 addressContLandRegistryNumber(String addressContLandRegistryNumber);
    @Parameter(name = "AddressContSince")
    MWF9G6 addressContSince(java.util.Date addressContSince);
    @Parameter(name = "AddressContStreet")
    MWF9G6 addressContStreet(String addressContStreet);
    @Parameter(name = "AddressContZipCode")
    MWF9G6 addressContZipCode(String addressContZipCode);
    @Parameter(name = "AddressCountry")
    MWF9G6 addressCountry(String addressCountry);
    @Parameter(name = "AddressEmpCity")
    MWF9G6 addressEmpCity(String addressEmpCity);
    @Parameter(name = "AddressEmpCountry")
    MWF9G6 addressEmpCountry(String addressEmpCountry);
    @Parameter(name = "AddressEmpHouseNumber")
    MWF9G6 addressEmpHouseNumber(String addressEmpHouseNumber);
    @Parameter(name = "AddressEmpLandRegistryNumber")
    MWF9G6 addressEmpLandRegistryNumber(String addressEmpLandRegistryNumber);
    @Parameter(name = "AddressEmpStreet")
    MWF9G6 addressEmpStreet(String addressEmpStreet);
    @Parameter(name = "AddressEmpZipCode")
    MWF9G6 addressEmpZipCode(String addressEmpZipCode);
    @Parameter(name = "AddressHouseNumber")
    MWF9G6 addressHouseNumber(String addressHouseNumber);
    @Parameter(name = "AddressLandRegistryNumber")
    MWF9G6 addressLandRegistryNumber(String addressLandRegistryNumber);
    @Parameter(name = "AddressStreet")
    MWF9G6 addressStreet(String addressStreet);
    @Parameter(name = "AddressZipCode")
    MWF9G6 addressZipCode(String addressZipCode);
    @Parameter(name = "BirthCountry")
    MWF9G6 birthCountry(String birthCountry);
    @Parameter(name = "BirthDate")
    MWF9G6 birthDate(java.util.Date birthDate);
    @Parameter(name = "BirthNumber")
    MWF9G6 birthNumber(String birthNumber);
    @Parameter(name = "BirthPlace")
    MWF9G6 birthPlace(String birthPlace);
    @Parameter(name = "BranchId")
    MWF9G6 branchId(String branchId);
    @Parameter(name = "BrokerId")
    MWF9G6 brokerId(String brokerId);
    @Parameter(name = "CIF")
    MWF9G6 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF9G6 channelId(String channelId);
    @Parameter(name = "Consent101SignDate")
    MWF9G6 consent101SignDate(java.util.Date consent101SignDate);
    @Parameter(name = "ConsentUDCflag")
    MWF9G6 consentUDCflag(Long consentUDCflag);
    @Parameter(name = "DependPersonsCount")
    MWF9G6 dependPersonsCount(Long dependPersonsCount);
    @Parameter(name = "EducationType")
    MWF9G6 educationType(String educationType);
    @Parameter(name = "Email")
    MWF9G6 email(String email);
    @Parameter(name = "EmployeeProcessRole")
    MWF9G6 employeeProcessRole(String employeeProcessRole);
    @Parameter(name = "EmployeeRoleId")
    MWF9G6 employeeRoleId(String employeeRoleId);
    @Parameter(name = "EmploymentId")
    MWF9G6 employmentId(String employmentId);
    @Parameter(name = "EmploymentName")
    MWF9G6 employmentName(String employmentName);
    @Parameter(name = "EmploymentNotice")
    MWF9G6 employmentNotice(Long employmentNotice);
    @Parameter(name = "EmploymentSince")
    MWF9G6 employmentSince(java.util.Date employmentSince);
    @Parameter(name = "EmploymentTerminationNotice")
    MWF9G6 employmentTerminationNotice(Long employmentTerminationNotice);
    @Parameter(name = "EmploymentTrial")
    MWF9G6 employmentTrial(Long employmentTrial);
    @Parameter(name = "EmploymentType")
    MWF9G6 employmentType(String employmentType);
    @Parameter(name = "EmploymentUntil")
    MWF9G6 employmentUntil(java.util.Date employmentUntil);
    @Parameter(name = "ExpressOnly")
    MWF9G6 expressOnly(String expressOnly);
    @Parameter(name = "FamilyBusinessFlag")
    MWF9G6 familyBusinessFlag(Long familyBusinessFlag);
    @Parameter(name = "HousingType")
    MWF9G6 housingType(String housingType);
    @Parameter(name = "IDCard2Number")
    MWF9G6 iDCard2Number(String iDCard2Number);
    @Parameter(name = "IDCard2PublishingCountry")
    MWF9G6 iDCard2PublishingCountry(String iDCard2PublishingCountry);
    @Parameter(name = "IDCard2Type")
    MWF9G6 iDCard2Type(String iDCard2Type);
    @Parameter(name = "IDCard2ValidTo")
    MWF9G6 iDCard2ValidTo(java.util.Date iDCard2ValidTo);
    @Parameter(name = "IDCard3Type")
    MWF9G6 iDCard3Type(String iDCard3Type);
    @Parameter(name = "IDCardNumber")
    MWF9G6 iDCardNumber(String iDCardNumber);
    @Parameter(name = "IDCardPublishingCountry")
    MWF9G6 iDCardPublishingCountry(String iDCardPublishingCountry);
    @Parameter(name = "IDCardType")
    MWF9G6 iDCardType(String iDCardType);
    @Parameter(name = "IDCardValidTo")
    MWF9G6 iDCardValidTo(java.util.Date iDCardValidTo);
    @Parameter(name = "IncomeAverageThreeMonths")
    MWF9G6 incomeAverageThreeMonths(Double incomeAverageThreeMonths);
    @Parameter(name = "IncomeDocumentType")
    MWF9G6 incomeDocumentType(String incomeDocumentType);
    @Parameter(name = "IncomeDocumentType2")
    MWF9G6 incomeDocumentType2(String incomeDocumentType2);
    @Parameter(name = "IncomeDocumentType3")
    MWF9G6 incomeDocumentType3(String incomeDocumentType3);
    @Parameter(name = "IncomeFamily")
    MWF9G6 incomeFamily(Double incomeFamily);
    @Parameter(name = "IncomesCount")
    MWF9G6 incomesCount(Long incomesCount);
    @Parameter(name = "LoanAmount")
    MWF9G6 loanAmount(Double loanAmount);
    @Parameter(name = "LoanDefferedInstalmentMonths")
    MWF9G6 loanDefferedInstalmentMonths(Long loanDefferedInstalmentMonths);
    @Parameter(name = "LoanInstalmentAmount")
    MWF9G6 loanInstalmentAmount(Double loanInstalmentAmount);
    @Parameter(name = "LoanInsuranceType")
    MWF9G6 loanInsuranceType(String loanInsuranceType);
    @Parameter(name = "LoanRegularInstalmentDay")
    MWF9G6 loanRegularInstalmentDay(Long loanRegularInstalmentDay);
    @Parameter(name = "LoanTerm")
    MWF9G6 loanTerm(Long loanTerm);
    @Parameter(name = "MaritalAssets")
    MWF9G6 maritalAssets(String maritalAssets);
    @Parameter(name = "MaritalState")
    MWF9G6 maritalState(String maritalState);
    @Parameter(name = "MaritalStateVerification")
    MWF9G6 maritalStateVerification(String maritalStateVerification);
    @Parameter(name = "Name")
    MWF9G6 name(String name);
    @Parameter(name = "Nationality")
    MWF9G6 nationality(String nationality);
    @Parameter(name = "Occupation")
    MWF9G6 occupation(String occupation);
    @Parameter(name = "OtherLivingExpenses")
    MWF9G6 otherLivingExpenses(Long otherLivingExpenses);
    @Parameter(name = "OtherMonthlyPayments")
    MWF9G6 otherMonthlyPayments(Long otherMonthlyPayments);
    @Parameter(name = "PhoneNumber")
    MWF9G6 phoneNumber(String phoneNumber);
    @Parameter(name = "Sex")
    MWF9G6 sex(String sex);
    @Parameter(name = "ShareOfPrftFamilyBus")
    MWF9G6 shareOfPrftFamilyBus(Double shareOfPrftFamilyBus);
    @Parameter(name = "SpecialCode")
    MWF9G6 specialCode(String specialCode);
    @Parameter(name = "SpecialCodeReasonId")
    MWF9G6 specialCodeReasonId(String specialCodeReasonId);
    @Parameter(name = "SpecialCodeReasonNote")
    MWF9G6 specialCodeReasonNote(String specialCodeReasonNote);
    @Parameter(name = "Surname")
    MWF9G6 surname(String surname);
    @Parameter(name = "TaxBase")
    MWF9G6 taxBase(Double taxBase);
    @Parameter(name = "TaxCrOnlyFlag")
    MWF9G6 taxCrOnlyFlag(Long taxCrOnlyFlag);
    @Parameter(name = "TaxToPayLastYear")
    MWF9G6 taxToPayLastYear(Double taxToPayLastYear);
    @Parameter(name = "TaxYear")
    MWF9G6 taxYear(Long taxYear);
    @Parameter(name = "TaxableIncomeLastYear")
    MWF9G6 taxableIncomeLastYear(Double taxableIncomeLastYear);
}
